## helma.framework.demo
Class SimplePathElement

    java.lang.Object
      helma.framework.demo.SimplePathElement

All Implemented Interfaces:
  IPathElement

    public class SimplePathElement

extends java.lang.Object
implements IPathElement

This is an example implementation for the helma.framework.IPathElement interface. It creates any child element which is requested on the fly without ever asking.

Constructor Summary
`SimplePathElement()` Constructor for the root element.
`SimplePathElement(java.lang.String n, IPathElement p)` Constructor for non-root elements.

Method Summary
`IPathElement` `getChildElement(java.lang.String n)` Returns a child element for this object, creating it on the fly.
`java.lang.String` `getElementName()` Returns the element name to be used for this object.
`IPathElement` `getParentElement()` Returns this object's parent element
`java.lang.String` `getPrototype()` Returns the name of the scripting prototype to be used for this object.
`java.lang.String` `toString()` Returns a string representation of this element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimplePathElement

    public SimplePathElement()

  Constructor for the root element.

### SimplePathElement

    public SimplePathElement(java.lang.String n,
                             IPathElement p)

  Constructor for non-root elements.

Method Detail

### getChildElement

    public IPathElement getChildElement(java.lang.String n)

  Returns a child element for this object, creating it on the fly.

  Specified by:
    `getChildElement` in interface `IPathElement`

### getParentElement

    public IPathElement getParentElement()

  Returns this object's parent element

  Specified by:
    `getParentElement` in interface `IPathElement`

### getElementName

    public java.lang.String getElementName()

  Returns the element name to be used for this object.

  Specified by:
    `getElementName` in interface `IPathElement`

### getPrototype

    public java.lang.String getPrototype()

  Returns the name of the scripting prototype to be used for this object. This will be "root" for the root element and "hopobject for everything else.

  Specified by:
    `getPrototype` in interface `IPathElement`

### toString

    public java.lang.String toString()

  Returns a string representation of this element.

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.